#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 library for contact and people aggregation
Name:           kpeople
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kservice-devel >= %version

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -f %{name}5.lang
%_kf5_qmldir/org/kde/people
%_kf5_servicetypes/*
%_kf5_datadir/kf5/kpeople

#--------------------------------------------------------------------

%define kf5people_major 5
%define libkf5people %mklibname kf5people %{kf5people_major}

%package -n %libkf5people
Summary:      KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:        System/Libraries

%description -n %libkf5people
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5people
%_kf5_libdir/libKF5People.so.%{kf5people_major}*

#--------------------------------------------------------------------

%define kf5peoplebakend_major 5
%define libkf5peoplebackend %mklibname kf5peoplebakend %{kf5peoplebakend_major}

%package -n %libkf5peoplebackend
Summary:      KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:        System/Libraries

%description -n %libkf5peoplebackend
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5peoplebackend
%_kf5_libdir/libKF5PeopleBackend.so.%{kf5peoplebakend_major}*

#--------------------------------------------------------------------

%define kf5peoplewidgets_major 5
%define libkf5peoplewidgets %mklibname kf5peoplewidgets %{kf5peoplewidgets_major}

%package -n %libkf5peoplewidgets
Summary:      KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:        System/Libraries

%description -n %libkf5peoplewidgets
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5peoplewidgets
%_kf5_libdir/libKF5PeopleWidgets.so.%{kf5peoplewidgets_major}*

#--------------------------------------------------------------------

%define kf5people_devel %mklibname kf5people -d

%package -n %kf5people_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5people = %version-%release
Requires:       %libkf5peoplebackend = %version-%release
Requires:       %libkf5peoplewidgets = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5people_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5people_devel
%_kf5_includedir/KPeople
%_kf5_libdir/cmake/KF5People
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang %{name}5 --all-name



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194152
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088986
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074558
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072222
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058377
- New version 5.27.0

* Fri Sep 09 2016 neoclust <neoclust> 5.26.0-2.mga6
+ Revision: 1051019
- Rebuild because of a pb on the BS

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050554
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049213
- enable Qt5Quick support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045132
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041354
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021952
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014362
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999654
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986347
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942271
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921300
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913082
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909892
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900664
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899497
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898944
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888184
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881408
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862969
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862828
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853814
- New version 5.12.0

* Sat Jul 04 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 850443
- imported package kpeople

